---
title: What's new in the v0.7 series release
sidebar_label: v0.7
description:
  Release notes for v0.7 series of Databend.
---

:::tip
* [How to Install Databend](/doc/deploy)
* [How to Load Data to Databend](/doc/load-data)
:::

## v0.7 - March 28, 2022

**New Features**
* [Query] Add DateTime64 data type  (#3338)
* [Query] Add Semi-Structured variant data type (#4348)
* [Query] Add `group by` nullable column (#4079)
* [Query] Add filter push-down for `read datasource` (#3512)
* [Query] Add function monotonicity check (#3008)
* [Query] Add support for Java/Python/Golang client and JDBC driver
* [Query] Add support for github external datasource (#2975)
* [Query] Add support for `CREATE TABLE [IF NOT EXISTS] [db.]table LIKE [db.]origin_table AS SELECT query` (#2457)
* [Query] Add support for `Copy INTO <table> from external location` (#3586 #4373)
* [Query] Add support for `COPY INTO <table> FROM internal/external stage` (#4437)
* [Query] Add support for `ALTER TABLE [ IF EXISTS ] <name> RENAME TO <new_table_name>` (#4532)
* [Query] Add support for `[NOT] IN (a, b, c, ...) InList` (#3805)
* [Query] Add user defined functions (#3440)
* [Query] Add `system.query_log` for multi-tenant query statistics(#2978)
* [Query] Add `CALL` procedure for administer operation  (#4267)
* [Query] Add support for CSV/Parquet/Json file streaming load (#4496 #4561)
* [Query] Add embed markdown dos into system.functions (#4552)
* [Query] Add support for config file format json, yaml, toml (#4517)
* [Query] Add support for column specify an expression as default value (#3229)
* [User] Add support for basic RBAC privileges (#2793)
* [Storage] Add database_id/table_id to data file prefix (#4242)
* [Storage] Add version to storage layout for upgrade (#4243)
* [Meta] Add support for multi tenant (#3759)
* [Meta] Replace arrow flight service with gRPC (#3605)

**Improvements**
* [Query] Change Pull-Based to New Pull&Push-Based processor
* [Query] Improve parallel write performance
* [Doc] Better documentation https://databend.rs

**Downloads**

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

<Tabs groupId="operating-systems">
<TabItem value="linux" label="Linux">

```shell
curl -LJO https://github.com/datafuselabs/databend/releases/download/v0.7.0-nightly/databend-v0.7.0-nightly-x86_64-unknown-linux-musl.tar.gz
```

</TabItem>
<TabItem value="mac" label="MacOS">

```shell
curl -LJO https://github.com/datafuselabs/databend/releases/download/v0.7.0-nightly/databend-v0.7.0-nightly-aarch64-apple-darwin.tar.gz
```

</TabItem>

<TabItem value="arm" label="Arm">

```shell
curl -LJO https://github.com/datafuselabs/databend/releases/download/v0.7.0-nightly/databend-v0.7.0-nightly-aarch64-unknown-linux-musl.tar.gz
```

</TabItem>
</Tabs>

